al_get_max_haptic_effects(3)

NAME

al_get_max_haptic_effects - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro.h>
    int al_get_max_haptic_effects(ALLEGRO_HAPTIC *hap)

DESCRIPTION

Returns the maximum amount of haptic effects that can be uploaded to the device. This depends on the operating system, driver, platform and the device itself. This may return a value as low as 1.

SINCE

5.1.8

    [Unstable API]: Perhaps could be simplified due to limited support for all the exposed features across all of the platforms. Awaiting feedback from users.